unit SpellForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons, Rzlabel, SpellMoney;

type
  TForm1 = class(TForm)
    SpellAmount1: TSpellAmount;
    BitBtn1: TBitBtn;
    Edit1: TEdit;
    grpCASE: TRadioGroup;
    grpCENTSDISPLAY: TRadioGroup;
    Label1: TLabel;
    procedure BitBtn1Click(Sender: TObject);
    procedure grpCASEClick(Sender: TObject);
    procedure grpCENTSDISPLAYClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
 SpellAmount1.Amount := StrToFloat(Edit1.Text);
 Label1.Caption := SpellAmount1.ReturnMoneyString;
end;

procedure TForm1.grpCASEClick(Sender: TObject);
begin
 case grpCASE.ItemIndex of
   0 : SpellAmount1.DispCase := LCase;
   1 : SpellAmount1.DispCase := FirstLtr;
   2 : SpellAmount1.DispCase := UCase;
 end;

 BitBtn1Click(Self);
end;

procedure TForm1.grpCENTSDISPLAYClick(Sender: TObject);
begin
 case grpCENTSDISPLAY.ItemIndex of
   0 : SpellAmount1.CentFormat := Digits;
   1 : SpellAmount1.CentFormat := DigitPercent;
   2 : SpellAmount1.CentFormat := Spell;
   3 : SpellAmount1.CentFormat := SpellPercent;
 end;

 BitBtn1Click(Self);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 grpCASE.ItemIndex := 0;
 grpCENTSDISPLAY.ItemIndex := 0;
end;

end.
